<html>
<head>
<title>OGRE: OgreRenderTarget.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRenderTarget.h</h1><a href="OgreRenderTarget_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __RenderTarget_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __RenderTarget_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgreString_8h.html">OgreString.h</a>"</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include "<a class="code" href="OgreTextureManager_8h.html">OgreTextureManager.h</a>"</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include "<a class="code" href="OgreViewport_8h.html">OgreViewport.h</a>"</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include "<a class="code" href="OgreTimer_8h.html">OgreTimer.h</a>"</span>
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 <span class="comment">/* Define the number of priority groups for the render system's render targets. */</span>
<a name="l00040"></a>00040 <span class="preprocessor">#ifndef OGRE_NUM_RENDERTARGET_GROUPS</span>
<a name="l00041"></a><a class="code" href="OgreRenderTarget_8h.html#f5bb0dae52b827634ede1f5aa3cb5638">00041</a> <span class="preprocessor"></span><span class="preprocessor">    #define OGRE_NUM_RENDERTARGET_GROUPS 10</span>
<a name="l00042"></a><a class="code" href="OgreRenderTarget_8h.html#fe22b8a3b08c5c1dfb03425997a043bc">00042</a> <span class="preprocessor"></span><span class="preprocessor">    #define OGRE_DEFAULT_RT_GROUP 4</span>
<a name="l00043"></a><a class="code" href="OgreRenderTarget_8h.html#867dc8bc833f9fff548c50dede22555d">00043</a> <span class="preprocessor"></span><span class="preprocessor">    #define OGRE_REND_TO_TEX_RT_GROUP 2</span>
<a name="l00044"></a>00044 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00045"></a>00045 <span class="preprocessor"></span>
<a name="l00046"></a>00046 <span class="keyword">namespace </span>Ogre {
<a name="l00047"></a>00047 
<a name="l00059"></a><a class="code" href="classOgre_1_1RenderTarget.html">00059</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RenderTarget.html" title="A &amp;#39;canvas&amp;#39; which can receive the results of a rendering operation.">RenderTarget</a>
<a name="l00060"></a>00060     {
<a name="l00061"></a>00061     <span class="keyword">public</span>:
<a name="l00062"></a><a class="code" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae490">00062</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae490">StatFlags</a>
<a name="l00063"></a>00063         {
<a name="l00064"></a><a class="code" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae4906df94556ae07dfa0384808dca8dedb64">00064</a>             SF_NONE           = 0,
<a name="l00065"></a><a class="code" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae4901f0cd329c7ff6d5d81b2162c65d04afa">00065</a>             SF_FPS            = 1,
<a name="l00066"></a><a class="code" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae4905ee29312d754f2244987dc0d1f5894e8">00066</a>             SF_AVG_FPS        = 2,
<a name="l00067"></a><a class="code" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae490c08101cb24d35c29eb7064886081e386">00067</a>             SF_BEST_FPS       = 4,
<a name="l00068"></a><a class="code" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae490ba6283bc81ca4e5e6cd2b85497a2cc2f">00068</a>             SF_WORST_FPS      = 8,
<a name="l00069"></a><a class="code" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae49019ef0adeaa177d49fc4ca4c9b87adec1">00069</a>             SF_TRIANGLE_COUNT = 16,
<a name="l00070"></a><a class="code" href="classOgre_1_1RenderTarget.html#15f59cd1b4a2b2e65fcee349d78ae49018416c60c9b82d928db766bef672ecea">00070</a>             SF_ALL            = 0xFFFF
<a name="l00071"></a>00071         };
<a name="l00072"></a>00072 
<a name="l00073"></a><a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html">00073</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html">FrameStats</a>
<a name="l00074"></a>00074         {
<a name="l00075"></a><a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html#12556de54d8ea0ca7ccf064a07d25389">00075</a>             <span class="keywordtype">float</span> lastFPS;
<a name="l00076"></a><a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html#4e2453ac395f96a11a966f18590610e0">00076</a>             <span class="keywordtype">float</span> avgFPS;
<a name="l00077"></a><a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html#b07828877ca7c352d1a8b1afaab1df08">00077</a>             <span class="keywordtype">float</span> bestFPS;
<a name="l00078"></a><a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html#49f1dd55396299921e69e1d7ed66c0fc">00078</a>             <span class="keywordtype">float</span> worstFPS;
<a name="l00079"></a><a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html#720bee3828b5c2d2419e7afbeed0191e">00079</a>             <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> bestFrameTime;
<a name="l00080"></a><a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html#7536670fa555a4f05c52ccdacc9c2194">00080</a>             <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> worstFrameTime;
<a name="l00081"></a><a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html#b1bf6f713ee6774a371fdf74f2ffaf44">00081</a>             <span class="keywordtype">size_t</span> triangleCount;
<a name="l00082"></a><a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html#6b4e063f6df89d63021022eb8f43d91c">00082</a>             <span class="keywordtype">size_t</span> batchCount;
<a name="l00083"></a>00083         };
<a name="l00084"></a>00084 
<a name="l00085"></a>00085         <a class="code" href="classOgre_1_1RenderTarget.html" title="A &amp;#39;canvas&amp;#39; which can receive the results of a rendering operation.">RenderTarget</a>();
<a name="l00086"></a>00086         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1RenderTarget.html" title="A &amp;#39;canvas&amp;#39; which can receive the results of a rendering operation.">RenderTarget</a>();
<a name="l00087"></a>00087 
<a name="l00089"></a>00089         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getName(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00090"></a>00090 
<a name="l00092"></a>00092         <span class="keyword">virtual</span> <span class="keywordtype">void</span> getMetrics(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>&amp; width, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>&amp; height, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>&amp; colourDepth);
<a name="l00093"></a>00093 
<a name="l00094"></a>00094         <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getWidth(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00095"></a>00095         <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getHeight(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00096"></a>00096         <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getColourDepth(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00097"></a>00097 
<a name="l00111"></a>00111         <span class="keyword">virtual</span> <span class="keywordtype">void</span> update(<span class="keywordtype">void</span>);
<a name="l00112"></a>00112 
<a name="l00136"></a>00136         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* addViewport(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam, <span class="keywordtype">int</span> ZOrder = 0, <span class="keywordtype">float</span> left = 0.0f, <span class="keywordtype">float</span> top = 0.0f ,
<a name="l00137"></a>00137             <span class="keywordtype">float</span> width = 1.0f, <span class="keywordtype">float</span> height = 1.0f);
<a name="l00138"></a>00138 
<a name="l00140"></a>00140         <span class="keyword">virtual</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> getNumViewports(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00141"></a>00141 
<a name="l00143"></a>00143         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* getViewport(<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> index);
<a name="l00144"></a>00144 
<a name="l00147"></a>00147         <span class="keyword">virtual</span> <span class="keywordtype">void</span> removeViewport(<span class="keywordtype">int</span> ZOrder);
<a name="l00148"></a>00148 
<a name="l00151"></a>00151         <span class="keyword">virtual</span> <span class="keywordtype">void</span> removeAllViewports(<span class="keywordtype">void</span>);
<a name="l00152"></a>00152 
<a name="l00171"></a>00171         <span class="keyword">virtual</span> <span class="keywordtype">void</span> getStatistics(<span class="keywordtype">float</span>&amp; lastFPS, <span class="keywordtype">float</span>&amp; avgFPS,
<a name="l00172"></a>00172             <span class="keywordtype">float</span>&amp; bestFPS, <span class="keywordtype">float</span>&amp; worstFPS) <span class="keyword">const</span>;  <span class="comment">// Access to stats</span>
<a name="l00173"></a>00173 
<a name="l00174"></a>00174         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html">FrameStats</a>&amp; getStatistics(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00175"></a>00175 
<a name="l00178"></a>00178         <span class="keyword">virtual</span> <span class="keywordtype">float</span> getLastFPS() <span class="keyword">const</span>;
<a name="l00179"></a>00179 
<a name="l00182"></a>00182         <span class="keyword">virtual</span> <span class="keywordtype">float</span> getAverageFPS() <span class="keyword">const</span>;
<a name="l00183"></a>00183 
<a name="l00186"></a>00186         <span class="keyword">virtual</span> <span class="keywordtype">float</span> getBestFPS() <span class="keyword">const</span>;
<a name="l00187"></a>00187 
<a name="l00190"></a>00190         <span class="keyword">virtual</span> <span class="keywordtype">float</span> getWorstFPS() <span class="keyword">const</span>;
<a name="l00191"></a>00191 
<a name="l00194"></a>00194         <span class="keyword">virtual</span> <span class="keywordtype">float</span> getBestFrameTime() <span class="keyword">const</span>;
<a name="l00195"></a>00195 
<a name="l00198"></a>00198         <span class="keyword">virtual</span> <span class="keywordtype">float</span> getWorstFrameTime() <span class="keyword">const</span>;
<a name="l00199"></a>00199 
<a name="l00202"></a>00202         <span class="keyword">virtual</span> <span class="keywordtype">void</span> resetStatistics(<span class="keywordtype">void</span>);
<a name="l00203"></a>00203 
<a name="l00213"></a>00213         <span class="keyword">virtual</span> <span class="keywordtype">void</span> getCustomAttribute(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">void</span>* pData);
<a name="l00214"></a>00214 
<a name="l00223"></a>00223         <span class="keyword">virtual</span> <span class="keywordtype">void</span> addListener(<a class="code" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications...">RenderTargetListener</a>* listener);
<a name="l00225"></a>00225         <span class="keyword">virtual</span> <span class="keywordtype">void</span> removeListener(<a class="code" href="classOgre_1_1RenderTargetListener.html" title="A interface class defining a listener which can be used to receive notifications...">RenderTargetListener</a>* listener);
<a name="l00227"></a>00227         <span class="keyword">virtual</span> <span class="keywordtype">void</span> removeAllListeners(<span class="keywordtype">void</span>);
<a name="l00228"></a>00228 
<a name="l00236"></a><a class="code" href="classOgre_1_1RenderTarget.html#03ae803c4754c6008fb5b898fb8090b8">00236</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPriority( <a class="code" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4" title="In order to avoid finger-aches :).">uchar</a> priority ) { mPriority = priority; }
<a name="l00238"></a><a class="code" href="classOgre_1_1RenderTarget.html#bb30435cde04c7c81a93b5f94b13e27e">00238</a>         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4" title="In order to avoid finger-aches :).">uchar</a> getPriority()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mPriority; }
<a name="l00239"></a>00239 
<a name="l00242"></a>00242         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isActive() <span class="keyword">const</span>;
<a name="l00243"></a>00243 
<a name="l00246"></a>00246         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setActive( <span class="keywordtype">bool</span> state );
<a name="l00247"></a>00247 
<a name="l00259"></a>00259         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setAutoUpdated(<span class="keywordtype">bool</span> autoupdate);
<a name="l00263"></a>00263         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isAutoUpdated(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00264"></a>00264 
<a name="l00266"></a>00266         <span class="keyword">virtual</span> <span class="keywordtype">void</span> writeContentsToFile(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename) = 0;
<a name="l00267"></a>00267 
<a name="l00270"></a>00270     <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> writeContentsToTimestampedFile(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filenamePrefix, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filenameSuffix);
<a name="l00271"></a>00271 
<a name="l00272"></a>00272         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> requiresTextureFlipping() <span class="keyword">const</span> = 0;
<a name="l00273"></a>00273 
<a name="l00275"></a>00275         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> getTriangleCount(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00277"></a>00277         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> getBatchCount(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00281"></a>00281         <span class="keyword">virtual</span> <span class="keywordtype">void</span> _notifyCameraRemoved(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00282"></a>00282 
<a name="l00289"></a>00289         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isPrimary(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00290"></a>00290 
<a name="l00291"></a>00291 
<a name="l00295"></a><a class="code" href="classOgre_1_1RenderTarget_1_1Impl.html">00295</a>         <span class="keyword">class </span><a class="code" href="classOgre_1_1RenderTarget_1_1Impl.html" title="RenderSystem specific interface for a RenderTarget; this should be subclassed by...">Impl</a>
<a name="l00296"></a>00296         {
<a name="l00297"></a>00297         <span class="keyword">protected</span>:
<a name="l00303"></a><a class="code" href="classOgre_1_1RenderTarget_1_1Impl.html#b336a07f12030cd9e4efe9330334542e">00303</a>             ~<a class="code" href="classOgre_1_1RenderTarget_1_1Impl.html" title="RenderSystem specific interface for a RenderTarget; this should be subclassed by...">Impl</a>() { };
<a name="l00304"></a>00304         };
<a name="l00310"></a>00310         <span class="keyword">virtual</span> Impl *_getImpl();
<a name="l00311"></a>00311     <span class="keyword">protected</span>:
<a name="l00313"></a><a class="code" href="classOgre_1_1RenderTarget.html#f2cc3c6d5a845d8c7eb3b6cdc4270639">00313</a>         <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mName;
<a name="l00315"></a><a class="code" href="classOgre_1_1RenderTarget.html#58b3cee9ce06c665d120234f425a188f">00315</a>         <a class="code" href="namespaceOgre.html#07f1f7c1d84d58c9beae02e1ebb945e4" title="In order to avoid finger-aches :).">uchar</a> mPriority;
<a name="l00316"></a>00316 
<a name="l00317"></a><a class="code" href="classOgre_1_1RenderTarget.html#b3f6f293e5347db866b70ab7dfcf6018">00317</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> mWidth;
<a name="l00318"></a><a class="code" href="classOgre_1_1RenderTarget.html#02bf10a710dcdf3b5e384f8c7d2903af">00318</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> mHeight;
<a name="l00319"></a><a class="code" href="classOgre_1_1RenderTarget.html#79386cb8836a76d429466c0910374aaa">00319</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> mColourDepth;
<a name="l00320"></a><a class="code" href="classOgre_1_1RenderTarget.html#84e393c6abd162a8e957477914bcd999">00320</a>         <span class="keywordtype">bool</span> mIsDepthBuffered;
<a name="l00321"></a>00321 
<a name="l00322"></a>00322         <span class="comment">// Stats</span>
<a name="l00323"></a><a class="code" href="classOgre_1_1RenderTarget.html#ec8db4bff24a18224ea22ae0dcd2b0b9">00323</a>         <a class="code" href="structOgre_1_1RenderTarget_1_1FrameStats.html">FrameStats</a> mStats;
<a name="l00324"></a>00324         
<a name="l00325"></a><a class="code" href="classOgre_1_1RenderTarget.html#9edbadbd9ebd933c51dd6d63303ffeaa">00325</a>         <a class="code" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>* mTimer ;
<a name="l00326"></a><a class="code" href="classOgre_1_1RenderTarget.html#e2c3190a38dd1febbacaa7d26a99b847">00326</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> mLastSecond;
<a name="l00327"></a><a class="code" href="classOgre_1_1RenderTarget.html#cb4383973de9408b1f855e15357332cb">00327</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> mLastTime;
<a name="l00328"></a><a class="code" href="classOgre_1_1RenderTarget.html#7c01f88029925f275dc8a49800dd3998">00328</a>         <span class="keywordtype">size_t</span> mFrameCount;
<a name="l00329"></a>00329 
<a name="l00330"></a><a class="code" href="classOgre_1_1RenderTarget.html#e2a74c5e2b8d58720fb520401a3f8c5f">00330</a>         <span class="keywordtype">bool</span> mActive;
<a name="l00331"></a><a class="code" href="classOgre_1_1RenderTarget.html#39c96ae9e871ab7a2c0f139a4391fee8">00331</a>         <span class="keywordtype">bool</span> mAutoUpdate;
<a name="l00332"></a>00332 
<a name="l00333"></a>00333         <span class="keywordtype">void</span> updateStats(<span class="keywordtype">void</span>);
<a name="l00334"></a>00334 
<a name="l00335"></a><a class="code" href="classOgre_1_1RenderTarget.html#ef91bc6ede66d2f18f211964addf8c09">00335</a>         <span class="keyword">typedef</span> std::map&lt;int, Viewport*, std::less&lt;int&gt; &gt; ViewportList;
<a name="l00337"></a><a class="code" href="classOgre_1_1RenderTarget.html#9dbeb5ce1b207cf5bf446e0d69d1b98c">00337</a>         ViewportList mViewportList;
<a name="l00338"></a>00338 
<a name="l00339"></a><a class="code" href="classOgre_1_1RenderTarget.html#c283f95c08a0d761481613002e15929f">00339</a>         <span class="keyword">typedef</span> std::vector&lt;RenderTargetListener*&gt; RenderTargetListenerList;
<a name="l00340"></a><a class="code" href="classOgre_1_1RenderTarget.html#db18b049cb9528a1605ec4a52ecf832c">00340</a>         RenderTargetListenerList mListeners;
<a name="l00341"></a>00341     
<a name="l00342"></a>00342 
<a name="l00344"></a>00344         <span class="keyword">virtual</span> <span class="keywordtype">void</span> firePreUpdate(<span class="keywordtype">void</span>);
<a name="l00346"></a>00346         <span class="keyword">virtual</span> <span class="keywordtype">void</span> firePostUpdate(<span class="keywordtype">void</span>);
<a name="l00348"></a>00348         <span class="keyword">virtual</span> <span class="keywordtype">void</span> fireViewportPreUpdate(<a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* vp);
<a name="l00350"></a>00350         <span class="keyword">virtual</span> <span class="keywordtype">void</span> fireViewportPostUpdate(<a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* vp);
<a name="l00352"></a>00352         <span class="keyword">virtual</span> <span class="keywordtype">void</span> fireViewportAdded(<a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* vp);
<a name="l00354"></a>00354         <span class="keyword">virtual</span> <span class="keywordtype">void</span> fireViewportRemoved(<a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* vp);
<a name="l00355"></a>00355     };
<a name="l00356"></a>00356 
<a name="l00357"></a>00357 } <span class="comment">// Namespace</span>
<a name="l00358"></a>00358 
<a name="l00359"></a>00359 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:55 2008
</p>
</body>
</html>
